// cPictureButton.h: interface for the cPictureButton class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cPictureButton_H
#define cPictureButton_H

#include "cWindow.h"

#include "cPicture.h"

class cPictureButton : public cWindow{
private:
	static BOOL ClassRegistered;

protected:
	virtual BOOL RegisterClass();
	virtual char *GetClassName(){ return "PictureButton"; }
	virtual BOOL IsClassRegistered(){ return ClassRegistered; }
	virtual LRESULT Proc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	void OnPaint(WPARAM wParam);

	cPicture *pDestPic;
	cPicture *pPicture;
	BOOL Downed;

public:
	cPictureButton();
	virtual ~cPictureButton();

	BOOL Create(DWORD dwStyle, char *caption, int x, int y, int Width, int Height, cWindow *pParent, DWORD Id, cPicture *_pDestPic, cPicture *_pPicture);

};

#endif
